RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003228AFRF[All Projects] Generalpublic2017-04-18 23:182017-06-15 21:20
ReporterSparfell_19 
Assigned Toreyhard 
PrioritynoneSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.4.3 
Summary0003228: AI piloted Mi-24 never stops going up
DescriptionIn some situations, AI piloted Mi-24 never stops going up in a circular movement.
See this video :
https://youtu.be/6-28GzkEGRI [^]

I didn't fully try the reproducibility of the issue but it seems to occurs very often.
Steps To ReproducePlace an Mi-24 with a few MOVE WPs and a CYCLE WP and watch.
TagsNo tags attached.
Is it a wish/request?No
Arma 3 version1.68
Did you used any other mod when the error occurred?No
Which mods?
Attached Files? file icon arma3_x64_2017-04-18_21-59-20.rpt [^] (98,829 bytes) 2017-04-18 23:18

- Relationships

-  Notes
(0006126)
reyhard (administrator)
2017-04-19 07:52

Attach some repro. Mission please
(0006132)
Sparfell_19 (reporter)
2017-04-20 01:57

Repro mission (this is basically what is shown in the video)
https://mega.nz/#!25gAAYja!Oh5Vnz6xmaD1X7TxyRJoNPpoGvq_U83_n19s20-VQiQ [^]
(0006135)
reyhard (administrator)
2017-04-20 20:14

same thing is happening with Mi-28 &... BIS Kajman. Since most of AFRF helicopters are inheriting from Kajman (including Mi-24 & 28) it might be something with Mi-48 itself.
(0006136)
Sparfell_19 (reporter)
2017-04-21 11:33

Ok, thanks for the information.
(0006152)
7ftnick (reporter)
2017-04-28 09:13

@reyhard , about that, the MI-24P with a static cannon controlled by the pilot is more similar (AI wise) to hellcat and littlebird, maybe it can inherit from them ? BIS now fixed them and they engage infantry and vehicles with the canon and FFAR rockets (accuracy is pretty bad though).
(0006153)
reyhard (administrator)
2017-04-28 14:50

@7ftnick - well, I participated in making changes to littlebird/hellcat and there wasn't any special magic involved - same parameters are also on Kajman (and they were copy pasted from Kajman in fact). ;) I will probably look into it after Jets DLC release but no promises since I guess it will involve many hours of comparing configs & testing it in game (especially rulling out placebo effect is very time consuming)
(0006155)
7ftnick (reporter)
2017-04-29 00:23

@reyhard cool, will be nice to see some normal ffar/static cannon usage by ai pilots
(0006286)
reyhard (administrator)
2017-06-09 14:15

there is ticket for that on arma feedback tracker so maybe in next week I will be able take a look at it
(0006310)
reyhard (administrator)
2017-06-15 15:08

should be fixed both in Arma & RHS soon
(0006311)
Sparfell_19 (reporter)
2017-06-15 21:20

Good to hear. Thanks

- Issue History
Date Modified Username Field Change
2017-04-18 23:18 Sparfell_19 New Issue
2017-04-18 23:18 Sparfell_19 File Added: arma3_x64_2017-04-18_21-59-20.rpt
2017-04-19 07:52 reyhard Note Added: 0006126
2017-04-19 07:52 reyhard Assigned To => reyhard
2017-04-19 07:52 reyhard Status new => feedback
2017-04-20 01:57 Sparfell_19 Note Added: 0006132
2017-04-20 01:57 Sparfell_19 Status feedback => new
2017-04-20 20:14 reyhard Note Added: 0006135
2017-04-21 11:33 Sparfell_19 Note Added: 0006136
2017-04-28 09:13 7ftnick Note Added: 0006152
2017-04-28 14:50 reyhard Note Added: 0006153
2017-04-29 00:23 7ftnick Note Added: 0006155
2017-06-09 14:15 reyhard Note Added: 0006286
2017-06-09 14:15 reyhard Status new => closed
2017-06-09 14:15 reyhard Resolution open => no change required
2017-06-15 15:08 reyhard Note Added: 0006310
2017-06-15 15:08 reyhard Status closed => resolved
2017-06-15 15:08 reyhard Resolution no change required => fixed
2017-06-15 15:08 reyhard Fixed in Version => 0.4.3
2017-06-15 21:20 Sparfell_19 Note Added: 0006311


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker